> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/reflexer/reflexeropen.md).

# ReflexerOpen

### Description

Open a new Reflexer safe

### Action ID

`0xf26b3b00`

### SDK Action

```ts
const reflexerOpenSafeAction = new dfs.actions.reflexer.ReflexerOpenSafeAction(
    adapterAddr
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param adapterAddr Address of the adapter
    struct Params {
        address adapterAddr;
    }
```

### Return Value

```solidity
return bytes32(newSafeId);
```

### Events and Logs

```solidity
emit ActionEvent("ReflexerOpen", logData);
logger.logActionDirectEvent("ReflexerOpen", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/reflexer/reflexeropen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
